Bug 417727 - User should be able to save the current image
Summary: User should be able to save the current image
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Unclassified
Component: Picture of the Day (show other bugs)
Version: 5.18.0
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-16 01:28 UTC by Jakub Skrzypnik
Modified: 2022-04-11 12:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub Skrzypnik 2020-02-16 01:28:15 UTC
SUMMARY

The POTD wallpapers sometimes vary in terms of quality or user's taste. There should be a way to revert last wallpaper change (I don't think anything other than -1 day is needed). Also, it might be nice to keep it "locked" for a specified amount of time, like 1/2/5/7/inf days with selectable option.

STEPS TO REPRODUCE
1. Load "Configure: Desktop" dialog
2. Select "Picture of the day" as wallpaper type
3. Select desired provider, apply changes
4. Use it for a few days
5. Get an image which is not interesting, ugly, poorly scaled (in terms of source image) or just not for you
OR
6. Get a very interesting or nice image
7. Decide to keep it for a few days, try to dig it from Plasma cache. etc.

OBSERVED RESULT

User can't do anything about the everyday POTD change

EXPECTED RESULT

User should be able to:
- revert back to POTD from yesterday
- pause POTD cycling for selectable amount of time
- (optionally) have an ability to dump current desktop wallpaper to file/clipboard

SOFTWARE/OS VERSIONS

Linux/KDE Plasma:
- KDE Plasma Version: 5.18.0
- KDE Frameworks Version: 5.67.0
- Qt Version: 5.14.1
Comment 1 Nate Graham 2020-02-16 23:58:36 UTC
Reverting seems out of scope, but "freezing" the image could be accomplished by being able to save the image locally and manually set it as your wallpaper. Which is a bit clunky, but seems like it would be generically useful. Let's use this bug report to track that.
Comment 2 ThatGeye 2020-09-06 13:06:35 UTC
As a corollary to this, If the user sees a very interesting or nice image as described in step 6, an option to display any information about that image along with an option to Save, would be helpful. I don't usually want to save POTD wallpapers, but I often want to know more about them. Perhaps as a right click option "Show Wallpaper Information" or "Show Wallpaper Details" that either pulls those details from the source page or opens the source page in a browser. Or perhaps as a companion POTD widget that could be placed in the taskbar.
Comment 3 Chris 2021-02-26 09:33:54 UTC
It is possible to dig up the current potd from '~/.cache/plasma_engine_potd/'. You could then copy it to some folder and set it as your wallpaper for a few days. Hope that helps.
Comment 4 Nate Graham 2022-03-29 20:51:52 UTC
With the work done in https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/106 now you can!
Comment 5 ThatGeye 2022-04-11 12:39:12 UTC
(In reply to Nate Graham from comment #4)
> With the work done in
> https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/106 now you
> can!

Groovy! Thank you.